Bug 1890815 - Wayland session as vmware 16 guest does not resize or maximise screen
Summary: Wayland session as vmware 16 guest does not resize or maximise screen
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: open-vm-tools
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ravindra Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1886309 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-22 22:11 UTC by tim richardson
Modified: 2021-03-16 21:47 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description tim richardson 2020-10-22 22:11:52 UTC
I have installed a Fedora 33 guest in a VMWare Workstation 16 host (pop!os).

This bug happens only when using the wayland gnome session.
An X11 session does not have this bug. 


In the Fedora 33 guest, open-vm-tools and open-vm-tools-desktop are installed.

In the display control panel, the max resolution is 2560x1600; the host is running on a 4K screen in native resolution.

I have two other linux guests: a xubuntu 20.04 and a pop!os 20.04.

In both of these, the display maximises perfectly (the xubuntu instances is open and the display control panel reports a resolution of 3829x1961 for instance) and the guest dynamically responds

The Fedora guest (under Wayland session) does not resize. Instead, it forces the VMWare windows to change size.

The virtual machine display settings are the same in all three cases:

    upgraded to VMware 16.x hardware

    3d Graphics enabled with 8gb display ram

    Use host settings for monitors: True

The VMWare Workstation settings are the same across the three guests:

In the View menu, I always use

    Autofit Guest

    Autofit Window is checked

Comment 1 Carl G. 2020-10-25 09:15:03 UTC
*** Bug 1886309 has been marked as a duplicate of this bug. ***

Comment 2 Carl G. 2020-10-25 09:36:43 UTC
The issue is that libresolutionKMS.so is not loaded into the Wayland session on Fedora 33 (tested w/ VMWare Workstation 16). It works as expected in Ubuntu 20.10 with either Wayland or Xorg.


cp /etc/vmware-tools/tools.conf.example /etc/vmware-tools/tools.conf

nano /etc/vmware-tools/tools.conf

Remove the # from this block:

[resolutionKMS]

# Default is true if tools finds an xf86-video-vmware driver with
# version >= 13.2.0. If you don't have X installed, set this to true manually.
# This only affects tools for Linux.
enable=true

systemctl restart vmtoolsd.service

Comment 3 Carl G. 2020-10-25 11:18:38 UTC
Tested on Fedora 32 Live CD (Wayland) and resizing the window is working properly.

So the issue is limited to Fedora 33 w/ Wayland. 

xorg-x11-drv-vmware is installed out of the box on Fedora 33.
Version      : 13.2.1
Release      : 13.fc33

Tentatively reassigning to open-vm-tools

Comment 4 tim richardson 2020-10-25 20:38:47 UTC
thank you for this solution which worked for me.

Comment 5 Carl G. 2020-10-26 02:00:33 UTC
Actually, libresolutionKMS.so is not loaded into a Fedora 33 X11 session either but resizing the window is working properly. Its relying on libresolutionSet.so?

Fedora 32 has libresolutionKMS.so active for Wayland and X11 sessions.

Comment 6 JD 2020-10-29 17:11:07 UTC
(In reply to Carl G. from comment #2)
> The issue is that libresolutionKMS.so is not loaded into the Wayland session
> on Fedora 33 (tested w/ VMWare Workstation 16). It works as expected in
> Ubuntu 20.10 with either Wayland or Xorg.
> 
> 
> cp /etc/vmware-tools/tools.conf.example /etc/vmware-tools/tools.conf
> 
> nano /etc/vmware-tools/tools.conf
> 
> Remove the # from this block:
> 
> [resolutionKMS]
> 
> # Default is true if tools finds an xf86-video-vmware driver with
> # version >= 13.2.0. If you don't have X installed, set this to true
> manually.
> # This only affects tools for Linux.
> enable=true
> 
> systemctl restart vmtoolsd.service

Same experience here but with VMWare Workstation 15.x

Same workaround is applicable for me and works fine.

Thank you Carl

Comment 7 Chris Cheney 2021-03-16 18:18:19 UTC
Just tested and this still applies to Fedora 34.

Is this ever going to get fixed?

Comment 8 Richard W.M. Jones 2021-03-16 19:17:50 UTC
This is Fedora so you get to work on whatever is important yourself.
https://fedoramagazine.org/how-to-contribute-to-fedora/

Comment 9 Neal Gompa 2021-03-16 21:47:41 UTC
Reported the issue upstream: https://github.com/vmware/open-vm-tools/issues/501


Note You need to log in before you can comment on or make changes to this bug.